Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2672863007: Convert Panner distance model tests to testharness (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
8 months, 3 weeks ago by Raymond Toy
Modified:
8 months ago
Reviewers:
hongchan
CC:
chromium-reviews, blink-reviews
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Convert Panner distance model tests to testharness Manually convert distance model test to use testharness and new Audit. BUG=688456 TEST=distance-*.html Review-Url: https://codereview.chromium.org/2672863007 Cr-Commit-Position: refs/heads/master@{#452186} Committed: https://chromium.googlesource.com/chromium/src/+/b567949e5de163c4e5af1aba7dd1fb645a723d93

Patch Set 1 #

Total comments: 16

Patch Set 2 : Address review comments #

Total comments: 8

Patch Set 3 : Reindent according to review #

Unified diffs Side-by-side diffs Delta from patch set Stats (+98 lines, -173 lines) Patch
M third_party/WebKit/LayoutTests/webaudio/Panner/distance-exponential.html View 1 1 chunk +11 lines, -20 lines 0 comments Download
D third_party/WebKit/LayoutTests/webaudio/Panner/distance-exponential-expected.txt View 1 chunk +0 lines, -11 lines 0 comments Download
M third_party/WebKit/LayoutTests/webaudio/Panner/distance-inverse.html View 1 1 chunk +10 lines, -20 lines 0 comments Download
D third_party/WebKit/LayoutTests/webaudio/Panner/distance-inverse-expected.txt View 1 chunk +0 lines, -11 lines 0 comments Download
M third_party/WebKit/LayoutTests/webaudio/Panner/distance-linear.html View 1 1 chunk +11 lines, -20 lines 0 comments Download
D third_party/WebKit/LayoutTests/webaudio/Panner/distance-linear-expected.txt View 1 chunk +0 lines, -11 lines 0 comments Download
M third_party/WebKit/LayoutTests/webaudio/resources/distance-model-testing.js View 1 2 3 chunks +66 lines, -80 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 14 (4 generated)
Raymond Toy
PTAL https://codereview.chromium.org/2672863007/diff/1/third_party/WebKit/LayoutTests/webaudio/Panner/distance-exponential.html File third_party/WebKit/LayoutTests/webaudio/Panner/distance-exponential.html (right): https://codereview.chromium.org/2672863007/diff/1/third_party/WebKit/LayoutTests/webaudio/Panner/distance-exponential.html#newcode1 third_party/WebKit/LayoutTests/webaudio/Panner/distance-exponential.html:1: <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"> Should ...
8 months, 1 week ago (2017-02-14 20:14:17 UTC) #2
hongchan
https://codereview.chromium.org/2672863007/diff/1/third_party/WebKit/LayoutTests/webaudio/Panner/distance-exponential.html File third_party/WebKit/LayoutTests/webaudio/Panner/distance-exponential.html (right): https://codereview.chromium.org/2672863007/diff/1/third_party/WebKit/LayoutTests/webaudio/Panner/distance-exponential.html#newcode1 third_party/WebKit/LayoutTests/webaudio/Panner/distance-exponential.html:1: <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"> On 2017/02/14 ...
8 months, 1 week ago (2017-02-17 18:31:04 UTC) #3
Raymond Toy
https://codereview.chromium.org/2672863007/diff/1/third_party/WebKit/LayoutTests/webaudio/Panner/distance-exponential.html File third_party/WebKit/LayoutTests/webaudio/Panner/distance-exponential.html (right): https://codereview.chromium.org/2672863007/diff/1/third_party/WebKit/LayoutTests/webaudio/Panner/distance-exponential.html#newcode1 third_party/WebKit/LayoutTests/webaudio/Panner/distance-exponential.html:1: <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"> On 2017/02/17 ...
8 months, 1 week ago (2017-02-17 19:10:12 UTC) #4
hongchan
Looks good in general, but we have to talk about some weird results from clang-format. ...
8 months ago (2017-02-21 17:14:20 UTC) #5
Raymond Toy
https://codereview.chromium.org/2672863007/diff/20001/third_party/WebKit/LayoutTests/webaudio/resources/distance-model-testing.js File third_party/WebKit/LayoutTests/webaudio/resources/distance-model-testing.js (right): https://codereview.chromium.org/2672863007/diff/20001/third_party/WebKit/LayoutTests/webaudio/resources/distance-model-testing.js#newcode154 third_party/WebKit/LayoutTests/webaudio/resources/distance-model-testing.js:154: position[impulseCount]); On 2017/02/21 17:14:20, hongchan wrote: > Is this ...
8 months ago (2017-02-21 17:38:38 UTC) #6
hongchan
https://codereview.chromium.org/2672863007/diff/20001/third_party/WebKit/LayoutTests/webaudio/resources/distance-model-testing.js File third_party/WebKit/LayoutTests/webaudio/resources/distance-model-testing.js (right): https://codereview.chromium.org/2672863007/diff/20001/third_party/WebKit/LayoutTests/webaudio/resources/distance-model-testing.js#newcode154 third_party/WebKit/LayoutTests/webaudio/resources/distance-model-testing.js:154: position[impulseCount]); On 2017/02/21 17:38:38, Raymond Toy wrote: > On ...
8 months ago (2017-02-22 18:51:06 UTC) #7
Raymond Toy
https://codereview.chromium.org/2672863007/diff/20001/third_party/WebKit/LayoutTests/webaudio/resources/distance-model-testing.js File third_party/WebKit/LayoutTests/webaudio/resources/distance-model-testing.js (right): https://codereview.chromium.org/2672863007/diff/20001/third_party/WebKit/LayoutTests/webaudio/resources/distance-model-testing.js#newcode154 third_party/WebKit/LayoutTests/webaudio/resources/distance-model-testing.js:154: position[impulseCount]); On 2017/02/22 18:51:06, hongchan wrote: > On 2017/02/21 ...
8 months ago (2017-02-22 19:02:20 UTC) #8
hongchan
lgtm
8 months ago (2017-02-22 19:06:55 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2672863007/40001
8 months ago (2017-02-22 19:33:40 UTC) #11
commit-bot: I haz the power
8 months ago (2017-02-22 20:40:37 UTC) #14
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/b567949e5de163c4e5af1aba7dd1...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa